#ifndef __p2cpp_h__
#define __p2cpp_h__

typedef enum
{
    BLACK,
    BLUE,
    GREEN,
    CYAN,
    RED,
    MAGENTA,
    BROWN,
    LIGHTGRAY,
    DARKGRAY,
    LIGHTBLUE,
    LIGHTGREEN,
    LIGHTCYAN,
    LIGHTRED,
    LIGHTMAGENTA,
    YELLOW,
    WHITE
} COLORS;

typedef struct {
	char *name;
	FILE *stream;
} fileP2CPPstruct;

void delay(int time);
char readkey();
char upcase(char in);
int filesize(fileP2CPPstruct *f);
bool in(int term,int value);
bool in(int term,int from,int to);
void val(char *str,short &value,short &code);
void val(char ch,short &value,short &code);
void val(char *str,char &value,short &code);
void val(char ch,char &value,short &code);
void str(int value,char *str);

void clrscr();
void gotoxy(int x,int y);
int wherex();
int wherey();

char *strAdd(char *a,char *b);
char *strAdd(char *a,char b);
char *strAdd(char a,char *b);
char *strAdd(char a,char b);

char *copy(char *str,int index, int count);

char *format(char *str,int minLength);
char *format(int number,int minLength);
char *format(double number,int minLength);
char *format(double number,int minLength,int afterPoint);

void textcolor(int color);
void textbackground(int color);

bool keypressed();

#endif 
